package com.heaton.forum;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.util.*;
import java.io.*;
import org.apache.taglibs.standard.tag.el.core.*;
import java.sql.*;

/**
 * Example program from Chapter 11
 * JSTL: JSP Standard Template Library
 * Published by Sams Publishing
 *
 *
 * This file implements the deleteUser tag for the
 * forum custom tag library example.
 *
 * @author Jeff Heaton(http://www.jeffheaton.com)
 * @version 1.0
 */

public class DeleteUserTag extends TagSupport {
  private String id_el;
  private String id;

  public void setId(String id) {
    this.id_el = id;
  }


  /**
   * The start of the tag, used to process the EL
   * expressions.
   * 
   * @return A status to indicate if the body is to be 
   * processed. Here the body is not processed.
   * @exception javax.servlet.jsp.JspException Thrown on general error.
   */
  public int doStartTag()
  throws  javax.servlet.jsp.JspException
  {
    id = (String)ExpressionUtil.evalNotNull(
      "deleteUser", "id", id_el, String.class, this, pageContext);




    return SKIP_BODY;
  }

  /**
   * The ending tag method is called when the tag
   * is ready to complete. It is here that
   * the user is deleted.
   * 
   * @return A status code that indicates if the rest of the
   * page is to be processed. 
   * @exception JspException Thrown on general error.
   */
  public int doEndTag() throws JspException {
    Session session = Session.getSession(pageContext);
    session.deleteUser(id);
    return EVAL_PAGE;
  }
}
